package com.jkcredit.asychronous.controller;

import com.jkcredit.asychronous.common.ResponseEntity;
import com.jkcredit.asychronous.entity.Car;
import com.jkcredit.asychronous.service.CarService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午2:55
 */
@RestController
@RequestMapping("car")
@Slf4j
public class CarController {


    @Autowired
    private CarService carService;

    @PostMapping("receive")
    public Object receiveCar(@RequestBody Car car) {
        car.setTime(System.currentTimeMillis());
        carService.insert(car);
        log.info("插入成功：{}", car);
        return new ResponseEntity(car);
    }


}
