package com.jkcredit.asychronous.service.impl;

import com.jkcredit.asychronous.dao.CreditChargeRepository;
import com.jkcredit.asychronous.entity.CreditCharge;
import com.jkcredit.asychronous.service.CreditChargeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author sunzhaoning
 */
@Service
public class CreditChargeServiceImpl implements CreditChargeService {

    @Autowired
    private CreditChargeRepository creditChargeRepository;

    @Override
    public void insert(CreditCharge charge) {
        creditChargeRepository.insert(charge);
    }

    @Override
    public int findChargeByTime(Long startTime, Long endTime) {
        return creditChargeRepository.findChargeByTime(startTime,endTime,1);
    }
}
