package com.jkcredit.asychronous.dao;

import com.jkcredit.asychronous.entity.Man;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import java.util.List;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午7:16
 */
public interface ManRepository extends MongoRepository<Man, Long> {

    @Query(value = "{" + "time:{$gte:?0,$lte:?1}\n" + "}")
    List<Man> selectByTime(Long beginTime, Long endTime);

    List<Man> findByIdCard(String idCard);

    Man findManById(String id);
}
