package com.jkcredit.asychronous.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/23 上午9:02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CarResult implements Serializable {

    private static final long serialVersionUID = -412999059576184804L;

    @Excel(name = "customerId")
    private String customerId;
    @Excel(name = "name")
    private String name;
    @Excel(name = "idCard")
    private String idCard;
    @Excel(name = "licencePlate")
    private String licencePlate;
    @Excel(name = "result")
    private String result;
    private Long time = System.currentTimeMillis();
}
