package com.jkcredit.asychronous.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Descirption 公安不良FTP返回实体类
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/23 上午9:02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ManFtpResult implements Serializable {

    private static final long serialVersionUID = 6989516301338504002L;
    private String id;
    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证号
     */
    //@Excel(name = "idCard", orderNum = "1")
    private String idCard;

    /**
     * 身份证一致不一致
     */
    //@Excel(name = "isIdCard", orderNum = "2")
    private String isIdCard;

    /**
     * 是否在逃
     */
//    @Excel(name = "isEscape", orderNum = "3")
    private String isEscape;

    /**
     * 是否有前科
     */
//    @Excel(name = "isPedigree", orderNum = "4")
    private String isPedigree;

    /**
     * 是否吸毒贩毒
     */
//    @Excel(name = "isDrugs", orderNum = "5")
    private String isDrugs;

    private Long time = System.currentTimeMillis();

    /**
     * man表关联id
     */
    private String manId;
}
