package com.jkcredit.asychronous.service.impl;

import com.jkcredit.asychronous.dao.CarRepository;
import com.jkcredit.asychronous.entity.Car;
import com.jkcredit.asychronous.service.CarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午8:11
 */
@Service("carService")
public class CarServiceImpl implements CarService {

    @Autowired
    private CarRepository carRepository;

    @Override
    public List<Car> selectByTime() {
        Long beginTime = System.currentTimeMillis() - 600000;
        Long endTime = System.currentTimeMillis();
        return carRepository.selectByTime(beginTime, endTime);
    }

    @Override
    public void insert(Car car) {
        carRepository.insert(car);
    }
}
