package com.jkcredit.asychronous.service.impl;

import com.jkcredit.asychronous.dao.ManRepository;
import com.jkcredit.asychronous.entity.Man;
import com.jkcredit.asychronous.service.ManService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午8:15
 */
@Service("manService")
public class ManServiceImpl implements ManService {

    @Autowired
    private ManRepository manRepository;

    @Override
    public List<Man> selectByTime(Long beginTime,Long endTime) {
        return manRepository.selectByTime(beginTime, endTime);
    }

    @Override
    public void insert(Man man) {
        manRepository.insert(man);
    }

    @Override
    public List<Man> selectByIdCard(String idCard) {
        return manRepository.findByIdCard(idCard);
    }

    @Override
    public Man selectById(String id) {
        return manRepository.findManById(id);
    }
}
